Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts.author
Class AuthorFixedBuildsLineChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.reports.charts.BambooReportLineChart
              com.atlassian.bamboo.charts.author.AuthorFixedBuildsLineChart

All Implemented Interfaces:
  ChartBuilder

    public class AuthorFixedBuildsLineChart

extends BambooReportLineChart

Field Summary

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`AuthorFixedBuildsLineChart()`

Method Summary
`String` | `generateToolTip(XYDataset xyDataset, int series, int item)`

Methods inherited from class com.atlassian.bamboo.reports.charts.BambooReportLineChart
`generateChartParams, generateLabel, getBuildManager, getDataSet, setBuildManager, setDataSet`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorFixedBuildsLineChart

    public AuthorFixedBuildsLineChart()

Method Detail

### generateToolTip

    public String generateToolTip(XYDataset xyDataset,
                                  int series,
                                  int item)

  Overrides:
    `generateToolTip` in class `BambooReportLineChart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.